> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datanumia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the breakdown of tariff headings by group for a site



## OpenAPI

````yaml /api-reference/tariff-heading-api.yaml get /api/v1/sites/{site-id}/elec-tariff-heading-group-breakdowns
openapi: 3.0.1
info:
  title: tariff-heading-api
  description: Tariff Heading Api
  termsOfService: TODO
  contact:
    email: api@datanumia.com
  version: '1.0'
servers:
  - url: https://api.home.datanumia.com/api/v1
security: []
paths:
  /api/v1/sites/{site-id}/elec-tariff-heading-group-breakdowns:
    get:
      tags:
        - tariff-heading-controller
      summary: Retrieve the breakdown of tariff headings by group for a site
      operationId: getElecTariffHeadingGroupBreakdowns
      parameters:
        - name: site-id
          in: path
          description: site-id
          required: true
          schema:
            type: string
        - name: ts
          in: query
          description: >-
            Date corresponding to the moment which retrieve the distributions of
            consumption by use
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ElecTariffHeadingGroupBreakdownDTO'
        '400':
          description: Functional Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Technical Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    ElecTariffHeadingGroupBreakdownDTO:
      type: object
      properties:
        currentYear:
          $ref: '#/components/schemas/ElecYearTariffHeadingGroupBreakdownDTO'
        previousYear:
          $ref: '#/components/schemas/ElecYearTariffHeadingGroupBreakdownDTO'
        yearlyRatioComparison:
          type: string
          enum:
            - DECREASE
            - EQUAL
            - INCREASE
      title: ElecTariffHeadingGroupBreakdownDTO
    ApiError:
      type: object
      properties:
        errorCode:
          type: string
        errorDescription:
          type: string
      title: ApiError
    ElecYearTariffHeadingGroupBreakdownDTO:
      type: object
      properties:
        beginMonth:
          $ref: '#/components/schemas/YearMonth'
        breakdownByTariffHeadingGroup:
          type: object
          additionalProperties:
            type: integer
            format: int32
        endMonth:
          $ref: '#/components/schemas/YearMonth'
      title: ElecYearTariffHeadingGroupBreakdownDTO
    YearMonth:
      type: object
      properties:
        leapYear:
          type: boolean
        month:
          type: string
          enum:
            - APRIL
            - AUGUST
            - DECEMBER
            - FEBRUARY
            - JANUARY
            - JULY
            - JUNE
            - MARCH
            - MAY
            - NOVEMBER
            - OCTOBER
            - SEPTEMBER
        monthValue:
          type: integer
          format: int32
        year:
          type: integer
          format: int32
      title: YearMonth

````